# Sample / template terms for fediverse instances

The goal of this repository is to prepare some sample / template terms for fediverse instances for their registered users, which fedi admins can consider adjusting and adopting for their own instances.

## I'm providing them as-is, and they are not legal advice

I'm providing these "as-is", and without any promises that they are suitable for your, your instance's, or indeed anyone's needs. 

They are not legal advice.

We (Neil, decoded.legal) do not limit or exclude our liability in any way prohibited by law but, other than that, to the greatest extent permitted by law, we will not be liable to you for any claim, damages or other liability, whether contractual or non-contractual, arising from, out of, or in connection with, these terms.

## CC BY-NC-SA 4.0

I'm making these available [under CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/deed.en). 

This means that you are welcome to use them for your own services on a non-commercial basis, and if you make changes, you must share that revised version under these same licence terms.

Adopt them, rip them apart, build on them etc. as you will.

## The terms will require adjusting / customising

These terms are not - and probably never will be - suitable for use as they are: anyone wishing to adopt them will need to go through and deal with the square bracketed bits *at a minimum*, local legal requirements, things like dispute resolution - whether you want to push for arbitration, mediation, or just recourse to courts - and so on.

## The terms are geared towards registered users

These are terms for registered users of an instance.

If you want to prohibit scraping etc. by people other than registered users, then these are not the terms for you. You might want some separate terms to cover this, but I would suggest keeping these separate from the terms you use with registered users. 

The main reason is that, IMHO, trying to impose terms of people who merely interact with your instance (but who are not users of your instance) needs to be done very carefully, because of the way ActivityPub works, and the broad scope for writing terms which are (inadvertently) inconsistent with the fediverse. 

By the same token, I can understand why an instance admin might want to prohibit certain bots, scraping, abusive/expensive behaviour, and so on. Perhaps I should think about a separate, limited, set of terms to deal with this.


## Feedback is welcome!

I am using this to start a discussion, rather than to say "definitively, this is what you must do".

But since I'm running this on my own git repository, I've not really thought through how or where that discussion might happen.
